------------------------------------------------------------------------------------
--Name:  	zqjuqing1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-08-22
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(285, 285)
local npc_0 = CppScriptMgr:AddSimplePlayer(1060265, 282, 285, "FairyMagpie", 0, 0)
npc_0:SetDir(5)
local npc_2 = CppScriptMgr:AddSimplePlayer(1887, 284, 278, "", 0, 0)
npc_2:SetZoomPercent(120)
local npc_3 = CppScriptMgr:AddSimplePlayer(1886, 288, 280, "", 0, 0)
npc_3:SetZoomPercent(120)
local npc_1 = CppScriptMgr:AddSimplePlayer(1885, 285, 281, "JadeRabbit", 0, 0)
npc_1:SetZoomPercent(200)
CppScriptMgr:WaitMilSec(500)
npc_0:Say("The Mid-Autumn Festival is approaching. Let`s decorate the Moon Palace!", 1200)
npc_0:SetAction(102)
CppScriptMgr:WaitMilSec(1300)
npc_0:Say("Jade Rabbit, don`t slack off!", 1200)
CppScriptMgr:WaitMilSec(1300)
npc_3:Say("I`m not slacking off!", 1200)
CppScriptMgr:WaitMilSec(1700)
npc_3:Say("Look!", 1200)
CppScriptMgr:WaitMilSec(200)
LaJin(256, 10, 4, 33)
CppScriptMgr:WaitMilSec(200)
local effect_1 = CppScriptMgr:AddEffect("_p_48_8196110", 278, 286, 33, 1, 1, 1)
local effect_2 = CppScriptMgr:AddEffect("_p_48_8196110", 286, 279, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("zero8159", 282, 293, 33, 1, 1, 1)
local effect_10 = CppScriptMgr:AddEffect("QiFuLev3", 285, 285, 33, 1, 1, 1)
local effect_12 = CppScriptMgr:AddEffect("_p_48_8196110", 292, 279, 33, 1, 1, 1)
local effect_13 = CppScriptMgr:AddEffect("_p_48_8196110", 297, 287, 33, 1, 1, 1)
local effect_15 = CppScriptMgr:AddEffect("zero8159", 292, 279, 33, 1, 1, 1)
local effect_16 = CppScriptMgr:AddEffect("_p_14_8142", 286, 286, 33, 1, 1, 1)
local effect_17 = CppScriptMgr:AddEffect("zero8159", 280, 280, 33, 1, 1, 1)
local effect_19 = CppScriptMgr:AddEffect("zero8159", 294, 292, 33, 1, 1, 1)
local effect_20 = CppScriptMgr:AddEffect("QiFuLve1", 285, 285, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(200)
local effect_11 = CppScriptMgr:AddEffect("DX_meigui", 286, 286, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(100)
npc_0:SetAction(150)
local effect_4 = CppScriptMgr:AddEffect("aura_leaves01", 285, 285, 33, 1, 1, 1)
local effect_5 = CppScriptMgr:AddEffect("Christmas_shield1", 285, 285, 33, 1, 1, 1)
local effect_6 = CppScriptMgr:AddEffect("Christmas_light2", 285, 285, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(200)
local effect_7 = CppScriptMgr:AddEffect("_p_48_7196750", 138, 226, 33, 1, 1, 1)
local effect_8 = CppScriptMgr:AddEffect("_p_48_7196750", 148, 235, 33, 1, 1, 1)
local effect_9 = CppScriptMgr:AddEffect("_p_48_7196750", 156, 226, 33, 1, 1, 1)
local effect_14 = CppScriptMgr:AddEffect("_p_48_7196750", 147, 217, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(300)
npc_0:Say("It looks really nice! Chang`e will definitely love it!", 1200)
CppScriptMgr:WaitMilSec(1000)
npc_3:Say("Once we finish decorating the Moon Palace, I`m off on an adventure!", 1200)
CppScriptMgr:WaitMilSec(1000)
npc_0:Say("Good luck!", 1200)
CppScriptMgr:WaitMilSec(2000)